function [ result ] = ifthenelse(cond, iftrue, iffalse)
%IFTHENELSE Scalar version of ternary operator

if(~islogical(cond) && ~isnumeric(cond) || ~isscalar(cond))
    error('Invalid condition.');
end

if(cond)
    result = iftrue;
else
    result = iffalse;
end

end

