function [ ccs ] = spcolcumsum(A)
%SPCOLCUMSUM Cumsum along the columns of a smarse matrix (only nnzs are involved)

cols = num2cell(A, 1);
for i = 1 : length(cols)
    col = cols{i};
    nnz_indic = col ~= 0;
    colnnz = col(nnz_indic);
    colcumsums = cumsum(colnnz, 1);
    col(nnz_indic) = colcumsums;
    cols{i} = col;
end
ccs = cell2mat(cols);

end

