function [ wmat ] = adjmat_to_weightmat_uniform(adjmat)
	rowsums = sum(adjmat, 2);
	nz_rowsums = rowsums(rowsums ~= 0);
	rowsums(rowsums ~= 0) = 1 ./ nz_rowsums;
	wmat = adjmat;
	wmat = diag(rowsums) * wmat;
end